Subject: Re: [PATCH v3b 1/3] tipc: cosmetic: clean up comments and break a long line

From: Gerlando Falauto <[email-masked]>
Date: Wed, 01 May 2013 19:35:09 +0200

Hi,

On 05/01/2013 07:16 PM, David Miller wrote:
> From: Gerlando Falauto <[email-masked]>
> Date: Wed,  1 May 2013 18:41:17 +0200
>
>> Signed-off-by: Gerlando Falauto <[email-masked]>
>> ---
>> Changes from v3:
>> * Added "and break a long line" to the commit message
>> Changes from v2:
>> * Split cosmetic (this patch) from functional changes (next patch)
>
> Never resubmit patches by themselves, always resubmit the entire series.

I was just wondering what happens in that case, thank you for the 
explanation, I had no idea.

>
> Because when one patch has problems, I toss the entire series from patchwork,

Is "v3b" good or shall I just use v4 instead?
Do I also need to change the version number (and add "Changes from 
previous version" lines) to the subsequent patches, even though nothing 
has actually changed)? Should have I used a cover letter to begin with?

 > and by resubmitting the entire series again you are also giving me 
important
 > information, you're telling me that the subsequent patches in the series
 > still apply cleanly even though the first one has changed.

That I don't understand. I thought it would be the other way around, 
that's why I resubmitted only the one which changed.
If I resubmit the entire series, how can you tell patches 2 and 3 are 
identical to the previous version I posted?

Last question: Is chain reply OK?

Thanks for your patience,
Gerlando

>
> I've tossed this patch too, resubmit this properly, thanks.
>